]> git.pld-linux.org Git - packages/libinput.git/commitdiff
- allow building with gtk+3 even if gtk4 is installed auto/th/libinput-1.19.1-1
authorJakub Bogusz <qboosh@pld-linux.org>
Wed, 29 Sep 2021 19:44:03 +0000 (21:44 +0200)
committerJakub Bogusz <qboosh@pld-linux.org>
Wed, 29 Sep 2021 19:44:03 +0000 (21:44 +0200)
libinput.spec

index 18e2367c39c48383d9b37c641d77ad16a71b6c24..d834f141f1d6c24b88f1bf13d3648a505d832c73 100644 (file)
@@ -29,7 +29,9 @@ BuildRequires:        meson >= 0.49.0
 BuildRequires: mtdev-devel >= 1.1.0
 BuildRequires: ninja >= 1.5
 BuildRequires: pkgconfig
+BuildRequires: rpm-build >= 4.6
 BuildRequires: rpmbuild(macros) >= 1.752
+BuildRequires: sed >= 4.0
 BuildRequires: tar >= 1:1.22
 BuildRequires: udev-devel
 BuildRequires: valgrind
@@ -53,9 +55,6 @@ BuildRequires:        python3-recommonmark
 BuildRequires: python3-sphinx_rtd_theme
 BuildRequires: sphinx-pdg-3
 %endif
-%if %{with gui} && %{without gtk4}
-BuildConflicts:        gtk4-devel
-%endif
 Requires:      libevdev >= 1.3
 Requires:      libwacom >= 0.20
 Requires:      mtdev >= 1.1.0
@@ -145,6 +144,10 @@ Dope┼énianie parametr├│w w zsh dla polecenia libinput.
        tools/libinput-measure-{fuzz,touchpad-pressure,touch-size,touchpad-tap}.py \
        tools/libinput-{replay,measure-touchpad-size}.py
 
+%if %{without gtk4}
+%{__sed} -i -e "/dependency('gtk4'/ s/'gtk4'/'gtk4-disabled'/" meson.build
+%endif
+
 %build
 %meson build \
        -Ddebug-gui=%{__true_false gui} \
This page took 0.058742 seconds and 4 git commands to generate.